PDA

Afficher la version complète : Configuration des deux fichiers config.php simplifié



Ombre
29/09/2012, 01h55
Ce tutoriel vous permettra de configurer vos fichiers config.php de vbulletin 5 connect, à savoir que cette nouvelle version de vbulletin à deux fichiers config.php, grâce à un script qui vous simplifiera la tâche.

Niveau: Débutant / Confirmé / Expert.

Prérequis

Pour commencer, dirigez vous sur ce message (https://www.vbulletin.com/forum/showthread.php/408310-Config-php-problems-See-this-first?p=2343898&viewfull=1#post2343898) sur vbulletin.com afin de télécharger le script en question nommé "makeconfig.php" que vous trouverez en pièces jointes.
Après avoir envoyés les fichiers de cette nouvelle version de vbuleltin, dans votre espace d'hébergement via votre client FTP, procédez comme expliqué ci-dessous.

Installation

Importez le fichier "makeconfig.php" après l'avoir décompresser de son archive à la racine de votre forum, exemple, votre forum est installer dans le dossier "forum" alors placez le fichier "makeconfig.php" dans celui ci "/forum/makeconfig.php".
Dirigez vous sur votre navigateur, et tapez l'url pointant sur ce fichier exemple www.votre_nom_de_domaine.com/forum/makeconfig.php (http://www.votre_nom_de_domaine.com/forum/makeconfig.php).
Vous tomberez sur cette page:

19075



Les 3 premières options sont générées par le script, normalement il n'y à rien à modifier.
Si vous avez renommer le dossier "admincp" il vous faut indiquer son nom ici.
Si vous avez renommer le dossier "modcp" il vous faut indiquer son nom ici.
Ici indiquez le préfixe de vos cookies (il est conseillé de ne pas y toucher sans connaissances).
Indiquez ici le type de base de donné que vous utilisez, votre hébergeur est là pour vous renseignez si vous ne connaissez pas cette information, généralement le type est celui d'indiqué.
Indiquez ici le nom de votre base de données (DB).
Si vous désirez avoir des préfixes dedans les nom de tables de vbuleltin, indiquez le ici.
Indiquez ici l'email qui recevra tous les email d'erreur ou autres.
Indiquez ici le nom du serveur de votre base de donnée, généralement c’est "localhost".
Indiquez ici le nom d'utilisateur de la base de données (dB).
Indiquez ici le mot de pass de votre nom d'utilisateur de base de données (dB).
Et enfin cliquez sur "Create files".



Puis vous devriez tombé sur cette page vous informant que les eux fichiers ont été créés, un lien est aussi fourni afin de lancé votre installation, et l'action supprime le fichier "makeconfig.php" espace d'hébergement, vérifiez quand même que le fichier est bien était supprimé.


19076


Il ne vous reste plus qu'a lancer l’installation de votre nouvelle version de vbuleltin, ou de la mise à jour, les deux fichiers config.php on été créés automatiquement.



Merci à Body pour la découverte de ce script sur le sujet de vbulletin.com.

vbullet
29/09/2012, 10h03
Bonjour, super tuto qui vas aidée énormément

Body194
29/09/2012, 11h08
Bonjour, super tuto qui vas aidée énormément les membres je te remercie pour tout ceux qui ne le ferons pas :D

Motus
30/09/2012, 12h26
Merci pour ce super tutoriel, je ne l'ai pas encore mais ça va pas tarder hihi

- - - - - - - - - - Ajout ultérieur - - - - - - - - - -

Merci pour ce super tutoriel, je ne l'ai pas encore mais ça va pas tarder hihi

Freddy.k
04/10/2012, 15h35
Salut pas mal se script merci pour se tuto

arthur
06/10/2012, 12h03
merci pour le tuto sa va aidé

Simon
06/10/2012, 13h04
merci pour le tuto sa va aidé
Une fois testé, pense à donner ton avis sur vB5 sur ce sujet: http://www.vbulletin-ressources.com/forum/showthread.php?t=30662 ;)

vbullet
28/12/2012, 15h51
bonjours,
en faite je suis en local avec WampServer et j'aimerais savoir si je dois copier dans upload ou biens dans core le fichier makeconfig.php

et aussi j'ai remarque que vbulleitn ne fonctionne pas sous WampServer

Xwar
28/12/2012, 17h00
Merci pour le tuto

Xwar
28/12/2012, 17h07
Erf je ne trouve pas makeconfig.php sur le lien donné, quelqu'un peut l’héberger et me donner le lien :angel:

Ombre
28/12/2012, 17h13
Bonjour,

Le lien est disponible sur la page en question, il suffit d'être enregistré sur le site pour ce la procuré, nous te fournirons pas de fichier propre à vbulletin, merci de ne pas réitérer ce style de demande.

vbullet
29/12/2012, 15h30
bonjours,
en faite je suis en local avec WampServer et j'aimerais savoir si je dois copier dans upload ou biens dans core le fichier makeconfig.php

et aussi j'ai remarque que vbulleitn ne fonctionne pas sous WampServer

vbullet
01/01/2013, 23h24
bonjours a tous ,
en faite j'aimeraits vous demander avec WampServer ou dois je placer le fichier makeconfig.php es ce que je dois juste le mettre dans upload ou biens dans core , et aussi si quelle q'un a teste sous WampServe pour voir si vb 5 et fonctionnelle merci

Ombre
02/01/2013, 16h44
Bonjour,

Que ce soit en local ou non ça fonctionne, la réponse tu l'as ici:


Importez le fichier "makeconfig.php" après l'avoir décompresser de son archive à la racine de votre forum, exemple, votre forum est installer dans le dossier "forum" alors placez le fichier "makeconfig.php" dans celui ci "/forum/makeconfig.php".

vbullet
02/01/2013, 17h31
je vous remercie , mais en faite chez moi en teste ca ne fonctionne sous WampServer

Ombre
02/01/2013, 17h53
Tu veux dire que ça ne fonctionne pas? Car si tu te relis ta phrase n'est pas complète, si ça ne fonctionne pas c'est probablement une configuration de l'un de ses deux fichiers qui ne va pas, je ne serais t'aider plus.

wildwide
02/03/2013, 13h33
Salut Vbullet , en fait Ombre à été très clair dans son exposé , ton fichier doit être mis à la racine de Vb5 , à coté du fichier htaccès , config.php.bkp
licence, quick start guide.pdf etc..... tu renommes config.php.bkp en config.php , et dans le répertoire include tu renommes le fichier cinfig.php.new en config.php
bien entendu il faut créer une base de donnée avec phpmyadmin et lancer wampserver v2 avec localhost et cliquer sur le nom de votre site de test
exemple : localhost/testbidon/makeconfig.php
en principe après avoir désinstaller makeconfig.php l'installation doit se dérouler normalement
et cela d'après ce que j'ai pu comprendre ton problème
@+ Wild

hamidouki
24/04/2015, 21h37
moi aussi , c''est une image de script
encore une chose je n'est pas les 3 premier ligne dans ma procédure d'installation ?

Ombre
24/04/2015, 23h54
Plus besoin de ce script pour les dernières version de vbulletin 5 connect.

hamidouki
25/04/2015, 14h58
voila je vien de verifier tous , mais j'ai ça comme erreur :

<br />
<b>Deprecated</b>: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in <b>/htdocs/vb/core/includes/functions.php</b> on line <b>4369</b><br />
<?xml version="1.0" encoding="windows-1252"?>
<upgrade>
<message replace="0">Connection successful</message>
<status>Status: Installing, Step 2 of 6</status>
<longversion>install</longversion>
<version>install</version>
<nextstep>2</nextstep>
<upgradenotice><![CDATA[<strong>Installing</strong>]]></upgradenotice>
</upgrade>

comment faire encore ?
merci

Ombre
25/04/2015, 16h42
L'erreur vient de la version du PHP installé sur ton serveur, une méthode existe ici http://www.vbulletin.com/forum/forum/vbulletin-announcements/vbulletin-announcements_aa/4000121-vbulletin-4-2-2-full-has-been-released?p=4000466#post4000466.

hamidouki
25/04/2015, 18h21
salut
je viens de rajouté une ligne de le fichier vb/configue.php :
define('SKIP_DS_ERRORS', true);
et je suis entraine de l'installé maintenant
merci
edit:
ça marche pas
dans quel ligne je doit ajouté exactement ? et dans quel fichier config.php ?

rubicon
04/02/2016, 21h01
Bonsoir

Je viens d'utiliser ce script qui a bien fonctionné et au démarrage de l'installation, j'ai ce message d'erreur

Parse error: syntax error, unexpected T_USE, expecting T_FUNCTION in /home/vbulletin5/public_html/core/vb/database.php on line 24

J'ai bien revérifié toutes mes données concernant les renseignements de la BD et c'est correct

Merci de votre aide

PS: c'est la version vb5_connect_5-2-0_Patch_Level_1_LC2296D601

Ombre
04/02/2016, 22h27
Bonsoir,

De mémoire il n'est plus utile ce fichier pour les dernières versions, le config.php dans le dossier includes suffit au fonctionnement.

rubicon
05/02/2016, 12h02
Bonsoir,

De mémoire il n'est plus utile ce fichier pour les dernières versions, le config.php dans le dossier includes suffit au fonctionnement.

en effet, au départ, je voulais modifier les 2 fichiers manuellement mais je ne trouvais pas les 2 mêmes donc j'ai fais avec le script qui n'a pas donné d'erreurs mais l'installation n'a pas démarrer, j'ai eu de suite cette erreur citée ci-dessus

Ca pourrait venir de quoi ?

Merci

Body194
05/02/2016, 17h34
Bonsoir

Je viens d'utiliser ce script qui a bien fonctionné et au démarrage de l'installation, j'ai ce message d'erreur


J'ai bien revérifié toutes mes données concernant les renseignements de la BD et c'est correct

Merci de votre aide

PS: c'est la version vb5_connect_5-2-0_Patch_Level_1_LC2296D601


Bonsoir

A tu vérifier le droit en lecture et écriture

rubicon
05/02/2016, 18h33
non mais pour quel fichier ou dossier ?
Pour info, le fichier config.php est bien modifié par moi-même

Merci

Body194
05/02/2016, 19h39
non mais pour quel fichier ou dossier ?
Pour info, le fichier config.php est bien modifié par moi-même

Merci


sur ton hébergeur quand tu as crée ta basse de donnée ect....

rubicon
05/02/2016, 20h18
sur ton hébergeur quand tu as crée ta basse de donnée ect....

J'ai rien changé, j'ai laissé par défaut comme il l'a créé dans le WHM comme je fais chaque fois et jamais de problème avec vbulletin 4.xxx

Ombre
06/02/2016, 16h12
en effet, au départ, je voulais modifier les 2 fichiers manuellement mais je ne trouvais pas les 2 mêmes donc j'ai fais avec le script qui n'a pas donné d'erreurs mais l'installation n'a pas démarrer, j'ai eu de suite cette erreur citée ci-dessus

Ca pourrait venir de quoi ?

MerciIl y a deux config.php sous vB5, le premier sert pour le positionnement du dossier CORE, du préfixe des ccokies et de diverse petite choses, à la base on y touche pas, et tu as celui qu'il faut configurer à la main qui ce trouve dans le dossier core/includes/config.php, à partir du moment ou les infos que tu modifies sont correctes, et que ton serveur est bien configuré, ça devrais fonctionné, les droits d'accès à ce fichier est bon par défaut.

Tu utilises quelle version de PHP sur ton serveur?

rubicon
06/02/2016, 17h47
C'est la version 5.3.29

avec vbulletin4, pas de problème

Ombre
07/02/2016, 11h40
Voila le problème, tu devrais lire les informations sur le site vbulletin.com quand tu télécharges l'archive, depuis vBulletin 5.1.7 connect il faut la version 5.4 de PHP.


vBulletin 5.1.7 requires PHP 5.4.0 or greater, MySQL 5.1.5 or greater, and cURL to be installed.

Tu as toutes les infos pour les dernières versions de vBulletin 5.

rubicon
07/02/2016, 12h11
ok, merci et bon dimanche